%% Class file for the Proceedings of SPI
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{spi}[2006/10/07 SPI 2006 Proceedings Class]
\LoadClass[10pt,twocolumn,a4paper,twoside]{article}
%% Reset margins and text grid
\textwidth=\paperwidth
\advance\textwidth -27.6mm
\columnsep=5mm
\columnwidth \textwidth \advance\columnwidth -\columnsep
\divide\columnwidth \tw@
%
\oddsidemargin \z@
\evensidemargin \z@
\advance\oddsidemargin -11.9mm
\advance\evensidemargin -11.9mm
%
\advance \textheight \headheight \headheight \z@ 
\advance\textheight \headsep \headsep \z@ 
\advance \textheight \footskip \footskip \z@ 
\advance \textheight .4in
\topmargin \paperheight \advance\topmargin -\textheight
\divide\topmargin \tw@ \advance\topmargin -1in
%
\setlength{\parskip}{1pt}

%% Redefine \@maketitle

\def\@maketitle{%
  \newpage
  \null
  \vskip -.5em%
  {\centering
  \let \footnote \thanks
    {\large\bfseries \@title \par}%
    \vskip 14pt%
    {\normalsize%\large
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
%    \vskip 1em%
%    {\large \@date}%
  \par}
  \vskip 17pt}%14pt}
%% Section headings
\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {1.1ex \@plus .5ex \@minus .2ex}%
                                   {.1ex \@plus.2ex}%
                                   {\normalfont\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {1ex\@plus .5ex \@minus .2ex}%
                                     {-1ex \@plus -.2ex}%
                                     {\normalfont\bfseries}}
%% Redefinition of \@makecaption
\long\def\@makecaption#1#2{\def\@capref{table}
  \ifx\@capref\@captype
   \vskip\belowcaptionskip
  \else
   \vskip\abovecaptionskip
  \fi
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \ifx\@capref\@captype
   \vskip\abovecaptionskip
  \else
   \vskip\belowcaptionskip
  \fi}
%% Reduce warning messages
\hbadness 5000 \vbadness 5000
\global\let\thepage\relax
\endinput
